
##############################    RPGTalk       ##############################

RPGTalk was made by Seize Studios and its totally free.
Be sure to show your support, following us on the Social Medias:
Facebook: https://www.facebook.com/seizestudios/
Twitter: https://twitter.com/seizestudios

######### What's new? Version 1.3 #########
Version 1.3:

-Talks can pass themselves
-TextUI now accepts Text Mesh Pro classes
-Language is easier to set
-Characters now can be set differently, and have its own expressions or animators.
-Follow character now is a snippet
-The "Can pass" signal is now a snippet
-We have a smart pointer, a snippet for Line Renderers pointers.
-Save Instance snippet, making it easier to change dialog based on saved conversations
-NewTalk tag, making it easier to change the dialog midway
-Jitter tag for TMP, making part of the text Jitter
-BETA: Node Editor! Visually change your TXTs instead of writing it outside Unity.

Note: Every time that you update a Plugin, backup your project.
A lot has changed in RPGTalk base on this update to accept TMP.
You can loose your TextUI and DialogerUI references.
The way the Dialog Window follow a character has also changed, you will need to revision it.
Localisation have changed so it have to be set on an Asset.
The Callback on RPGTalkHolder is now a UnityEvent. You will loose your previous references.

#########


######### What's new? Version 1.2 #########
Version 1.2:

-Rich Text is now officially supported, even if the begging and the end tag are separated by different lines;
-Now is possible to place sprites inside the text, occupying space as if it were a character in the text;
-You can change the speed of the text while the talk is running;
-Timeline ready;
-Localization inside RPGTalk or any UI Text;
-Easier to change Target Follow during the talk;
-RPGTalk Area to change the text or interact with a character without any code;
-Line To Start and Line To Break can now be titles instead of fixed line numbers;
-The player can now make choices in the text;
-Dubbing is possible in every line and fully integrated with Localization.

Note: Every time that you update a Plugin, backup your project. In this update of RPGTalk you shouldn’t have much trouble, but you can loose your references to the targetFollow variable.

#########

If you need help, check out the documentation at http://www.seizestudios.com

And have some fun with the demos. 
Oh! Talking about the demos, we used some open source assets in it:

The background was from the Roguelike pack by Kenney Vleugels (http://www.kenney.nl)

The characters was from Hetalia RPG by Chi171912 (http://chi171812.deviantart.com/)

The UI was from Golden UI by Buch (http://opengameart.org/users/buch)

The Font was Visitor, author unknow (http://www.dafont.com/visitor.font)

The coin animation is from Tutpad (https://www.tutpad.com/tutorials/how-to-create-an-animated-pixel-art-coin)

The sprites and voices in the Timeline demo are from our beloved Unity-chan © UTJ/UCL (http://unity-chan.com/)

Node Editor was created based on the awesome Node Editor Framework by Levin Gäher (http://www.levingaeher.com/NodeEditor/index.html)

###############################################################################